Subject: Source files with matching .do file keep targets ood

From: Nik Boehm <[email-masked]>
Date: Fri, 7 Aug 2026 08:25:38 +0200

Hello,

I noticed that if there is a source file (without a .dep file in .redo/) but a .do file with a matching suffix exists, then targets depending on the source file will be perpetually out of date.  Is this intended behavior or can this be circumvented somehow?

I have a large collection of binary files that I have downloaded and that will not change.  I initially downloaded them with a script until I switched to a .do file. Since the contents will not change, I would prefer not having to download them again.

Alternatively, I could also write a .dep file for each of the binary files manually to get goredo to treat them as not ood.  Is there anything I need to be aware of for that?  My idea is to write a .rec file and then use redo-depfix, will that work?  Is the build uuid that is at the top of the .dep file significant or can I write there whatever I please?  And is there a way to get the BLAKE3 hash function out of goredo?

In case there is an easier way to fix the issue, I would also be happy to hear that.

Greetings,
Nik